GDB (xrefs)

Public Attributes | List of all members
objfile_object Struct Reference

## Public Attributes
PyObject_HEAD struct objfile * | objfile
PyObject * | dict
PyObject * | printers
PyObject * | frame_filters
PyObject * | frame_unwinders
PyObject * | type_printers
PyObject * | xmethods

## Detailed Description

Definition at line 29 of file py-objfile.c.

## Member Data Documentation

## ◆ dict

PyObject* objfile_object::dict

Definition at line 38 of file py-objfile.c.

## ◆ frame_filters

PyObject* objfile_object::frame_filters

Definition at line 44 of file py-objfile.c.

## ◆ frame_unwinders

PyObject* objfile_object::frame_unwinders

Definition at line 47 of file py-objfile.c.

## ◆ objfile

PyObject_HEAD struct objfile* objfile_object::objfile

Definition at line 34 of file py-objfile.c.

Referenced by objfpy_add_separate_debug_file(), objfpy_get_build_id(), objfpy_get_filename(), objfpy_get_owner(), objfpy_get_progspace(), objfpy_get_username(), and objfpy_is_valid().

## ◆ printers

PyObject* objfile_object::printers

Definition at line 41 of file py-objfile.c.

## ◆ type_printers

PyObject* objfile_object::type_printers

Definition at line 50 of file py-objfile.c.

## ◆ xmethods

PyObject* objfile_object::xmethods

Definition at line 53 of file py-objfile.c.

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/python/py-objfile.c